#include <stdio.h>
main()
{
    int n;
    scanf("%d", &n);
    int a[n];
    int t, k, x;
    int maks = 0;
    int mi = 0;
    int pom;
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
        if(a[i] > maks)
            {
                maks = a[i];
                mi = i;
            }
    }
    int q;
    scanf("%d", &q);
    for(int i = 0; i < q; i++)
    {
        scanf("%d %d", &t, &k);
        if(t == 1)
           {
            scanf("%d", &x);
            a[k - 1] = x;
           }
        else if(t == 0)
        {
            for(int j = 0; j < n; j++)
            {
                for(int ds = j + 1; ds < n; ds++)
                {
                    if(a[j] & a[k] > a[j])
                    {
                        pom = a[j];
                        a[j] = a[j] & a[k];
                        a[k] = pom | a[k];
                    }
                    if(a[j] | a[ds] > a[j])
                    {
                        pom = a[j];
                        a[j] = a[j] | a[ds];
                        a[ds] = pom & a[ds];
                    }
                }
            }
            printf("%d\n", a[k - 1]);
        }


    }


}